--- title: "GetRuleGroupByMonitorGroupIds" slug: "management-cloudinsight-getrulegroupbymonitorgroupids" updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-getrulegroupbymonitorgroupids" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetRuleGroupByMonitorGroupIds Available in Classic and VPC This API queries an event rule associated with a monitored target group. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /cw_fea/real/cw/api/rule/group/monitor/group/related | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `prodKey` | String | Required | Product key (cw_key) - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `monitorGroupIds` | Array | Required | Monitoring target group ID list - See [GetAllMonitorGrp](/docs/en/management-cloudinsight-getallmonitorgrp) - For two or more, separate them with a comma (,) | ### Request example The request example is as follows: ``` curl --location --request POST 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/rule/group/monitor/group/related?prodKey=**********' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '[ "**********" ]' ``` ## Response This section describes the response format. ### Response body For more information on the fields related to the event rule information, see [RuleGroupItemDto](/docs/en/common-vapidatatype-cirulegroupitemdto). ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "id": "**********", "ruleGroupItemDtoList": [ { "asgGroupOptions": {}, "cfTriggers": [], "cfTriggersOptions": {}, "classicAsgGroupOptions": {}, "createTime": **********, "domainCode": "PUB", "groupDesc": "Edit server event rule.", "groupName": "server-test", "id": "**********", "metricsGroups": [ { "createTime": **********, "domainCode": "PUB", "groupName": "test-server", "id": "**********", "idDimension": "instanceNo", "metrics": [ { "calculation": "AVG", "condition": "EQ", "desc": "disk write bytes average", "dimensions": [ { "dim": "type", "val": "svr" } ], "duration": 1, "eventLevel": "INFO", "metric": "avg_write_byt_cnt", "metricGroupItemId": "**********", "options": { "Min1": [ "COUNT", "SUM", "MAX", "MIN", "AVG" ], "Min5": [ "COUNT", "SUM", "MAX", "MIN", "AVG" ], "Min30": [ "COUNT", "SUM", "MAX", "MIN", "AVG" ], "Hour2": [ "COUNT", "SUM", "MAX", "MIN", "AVG" ], "Day1": [ "COUNT", "SUM", "MAX", "MIN", "AVG" ] }, "threshold": "0" } ], "prodKey": "**********", "prodType": "system", "regionCode": "KR", "temporaryGroup": false, "updateTime": ********** } ], "monitorGroups": [ { "groupDesc": "Monitoring target group test", "groupName": "test-group", "id": "**********", "monitorGroupItemList": [ { "nrn": "**********", "resourceId": "**********", "resourceName": "**********" } ], "prodKey": "**********", "prodName": "Server(VPC)", "temporaryGroup": false, "type": "NORMAL" } ], "prodKey": "**********", "recipientNotifications": [ { "enableNotiWhenEventClose": false, "groupName": "", "groupNum": **********, "notifyTypes": [ "SMS", "EMAIL" ] } ], "regionCode": "KR", "ruleVersion": "V2", "suspendRuleItems": [ { "metricGroupItemId": "**********", "resourceId": "**********" } ], "updateTime": ********** } ] } ] ```